Post Reply

[Q] Stuck in a hole, updating to CM 10.2

OP Sheleby121

19th March 2014, 03:06 AM   |  #1  
OP Junior Member
Thanks Meter: 1
 
14 posts
Join Date:Joined: Nov 2013
Hi everyone. Long time lurker here. Great help and info is always found on the forums. Im a bit inconsistent in the android department, have done a few flashes on android phones from friends here and there, but its been a while since Im stuck like right now.

Anyways, i have an HTC One S (idk how to identify if its Ville_U or VilleC2) on stock(?) v.4.0.3 from Rogers, yesterday i spent all day trying to;
-Unlock bootloader (htcdev method)
-Root (v4.0.3)
-Install Custom Recovery (been using both TWRP and CWM)
-SuperCID (Succesfully changed from i believe ROGERS01 or something like that to 11111111)
-S-Off (main goal was because i need to flash a 2.15 hboot , CM 10.2 install was giving me an "assert" error about that
- Finally install CM 10.2

Anyways, i was able to successfully do all those things in an exhausting whole day, but after installing CM 10.2, i was getting an HTC logo bootloop.
Yea, i know about flashing boot.img via fastboot after finishing with the CM install, but actually, THAT boot.img was what was causing the bootloop. I tried flashing my original boot.img from my nandroid backup back just to see what happens, and it doesnt actually bootloop, it just hangs on the htc logo.

So i guess thats my /first/ problem : i cant get cyanogenmod 10.2 to boot. Can anyone help me out here? Ive got:

VLE PVT SHOP S-OFF RL
CID-11111111
HBOOT 2.16.0000 ****note on this on next paragraph
RADIO-0.17-31501S.10_2
OPENDSP-v28.1.0.32.0504
eMMc-boot

My second problem is : after this problem, today i got desperate and started doing some stuff, updated hboot from 2.15, tried out a "Bulletproof v2.1" kernel, i dont remember what else. Anyways, now internal sdcard says its 48mb.
How can i fix this? im on twrp recovery right now. I cant flash my nandroid back bcuz nandroid >> 48mb

Thanks to anyone who has the time to help me out. I posted this on the cyanogenmod boards, but havent got a reply back.
Last edited by Sheleby121; 19th March 2014 at 03:11 AM. Reason: more info
19th March 2014, 03:18 AM   |  #2  
LS.xD's Avatar
Senior Member
Lübeck
Thanks Meter: 586
 
1,855 posts
Join Date:Joined: Nov 2013
Donate to Me
More
Question Here we go... ;)
Quote:
Originally Posted by Sheleby121

Hi everyone. Long time lurker here. Great help and info is always found on the forums. Im a bit inconsistent in the android department, have done a few flashes on android phones from friends here and there, but its been a while since Im stuck like right now.

Anyways, i have an HTC One S (idk how to identify if its Ville_U or VilleC2) on stock(?) v.4.0.3 from Rogers, yesterday i spent all day trying to;
-Unlock bootloader (htcdev method)

...

My second problem is : after this problem, today i got desperate and started doing some stuff, updated hboot from 2.15, tried out a "Bulletproof v2.1" kernel, i dont remember what else. Anyways, now internal sdcard says its 48mb.
How can i fix this? im on twrp recovery right now. I cant flash my nandroid back bcuz nandroid >> 48mb

Thanks to anyone who has the time to help me out. I posted this on the cyanogenmod boards, but havent got a reply back.


First we need to know Ville or ville c2 !!! Can you post a link to the hboot update u used?

No matter if ville or ville c2 --> download this toolkit pls --> http://forum.xda-developers.com/show....php?t=2471151

i suppose you have installed htc usb drivers?! If not --> http://forum.xda-developers.com/show....php?t=2217396

Boot your One S into bootloader mode (Pressing "Vol down + power") ad connect it to your pc. Open the toolkit from the upper link and perform:

-> Fastboot commands --> "Get MID"

it will show you the model id. PJ401xxxx = ville ///// PJ402xxxx = ville c2
Last edited by LS.xD; 19th March 2014 at 03:31 AM.
19th March 2014, 03:30 AM   |  #3  
OP Junior Member
Thanks Meter: 1
 
14 posts
Join Date:Joined: Nov 2013
Quote:
Originally Posted by LS.xD

First we need to know Ville or ville c2 !!! Can you post a link to the hboot update u used?

No matter if ville or ville c2 --> download this toolkit pls --> http://forum.xda-developers.com/show....php?t=2471151

I used the hboots from this link http://forum.xda-developers.com/show...6#post39216236
Now, i cant downgrade hboot, i get FAILED <remote. Not Allowed> error.

How can i identify what ville it is?
19th March 2014, 03:35 AM   |  #4  
LS.xD's Avatar
Senior Member
Lübeck
Thanks Meter: 586
 
1,855 posts
Join Date:Joined: Nov 2013
Donate to Me
More
Exclamation
Quote:
Originally Posted by Sheleby121

I used the hboots from this link http://forum.xda-developers.com/show...6#post39216236
Now, i cant downgrade hboot, i get FAILED <remote. Not Allowed> error.

How can i identify what ville it is?

i just posted it...

"No matter if ville or ville c2 --> download this toolkit pls --> http://forum.xda-developers.com/show....php?t=2471151

i suppose you have installed htc usb drivers?! If not --> http://forum.xda-developers.com/show....php?t=2217396

Boot your One S into bootloader mode (Pressing "Vol down + power") ad connect it to your pc. Open the toolkit from the upper link and perform:

-> Fastboot commands --> "Get MID"

it will show you the model id. PJ401xxxx = ville ///// PJ402xxxx = ville c2"
19th March 2014, 03:37 AM   |  #5  
OP Junior Member
Thanks Meter: 1
 
14 posts
Join Date:Joined: Nov 2013
Quote:
Originally Posted by LS.xD

First we need to know Ville or ville c2 !!! Can you post a link to the hboot update u used?

No matter if ville or ville c2 --> download this toolkit pls --> http://forum.xda-developers.com/show....php?t=2471151

i suppose you have installed htc usb drivers?! If not --> http://forum.xda-developers.com/show....php?t=2217396

Boot your One S into bootloader mode (Pressing "Vol down + power") ad connect it to your pc. Open the toolkit from the upper link and perform:

-> Fastboot commands --> "Get MID"

it will show you the model id. PJ401xxxx = ville ///// PJ402xxxx = ville c2

ok, i got:

mid: PJ4011000
finished. total time: -0.000s

So its a Ville. S4 right? Nice.

To achieve S-off, i used Hasoon2000's tool. i remember DLing this : http://d-h.st/sE6 in the process.
(PJ4010000-OneS.zip)

Ok, waiting on you now.
19th March 2014, 03:39 AM   |  #6  
LS.xD's Avatar
Senior Member
Lübeck
Thanks Meter: 586
 
1,855 posts
Join Date:Joined: Nov 2013
Donate to Me
More
Question Still S-OFF // Unlocked Bootloader?
Still S-Off // Unlocked-BL?
19th March 2014, 03:42 AM   |  #7  
OP Junior Member
Thanks Meter: 1
 
14 posts
Join Date:Joined: Nov 2013
Quote:
Originally Posted by LS.xD

Still S-Off // Unlocked-BL?

Yes. Bootloader is telling me its S-Off, Unlocked and Tampered.
19th March 2014, 03:53 AM   |  #8  
LS.xD's Avatar
Senior Member
Lübeck
Thanks Meter: 586
 
1,855 posts
Join Date:Joined: Nov 2013
Donate to Me
More
Info 2
Quote:
Originally Posted by Sheleby121

Yes. Bootloader is telling me its S-Off, Unlocked and Tampered.

Here you find valid 2.15 Firmware --> http://forum.xda-developers.com/show....php?t=2322755
19th March 2014, 03:55 AM   |  #9  
OP Junior Member
Thanks Meter: 1
 
14 posts
Join Date:Joined: Nov 2013
Quote:
Originally Posted by LS.xD

Here you find valid 2.15 Firmware --> http://forum.xda-developers.com/show....php?t=2322755

Was i NOT supposed to flash 2.16? I will follow the instructions of that link, but at the moment, if i try to flash 2.15, i get an error, Failed Not allowed
19th March 2014, 04:03 AM   |  #10  
LS.xD's Avatar
Senior Member
Lübeck
Thanks Meter: 586
 
1,855 posts
Join Date:Joined: Nov 2013
Donate to Me
More
Info 2
Quote:
Originally Posted by Sheleby121

Was i NOT supposed to flash 2.16? I will follow the instructions of that link, but at the moment, if i try to flash 2.15, i get an error, Failed Not allowed


I'm lookin' for a solution...

Just edit your CID with WinDroid Toolkit to "HTC__001"

and FLASH stock recovery --> http://forum.xda-developers.com/atta...3&d=1394422408 also using the WinDroid Toolkit


btw here is the link for downgradin' instructions http://forum.xda-developers.com/show....php?t=2591607

Post #2 says --> just flash 2.15 and you're fine
Last edited by LS.xD; 19th March 2014 at 04:18 AM.

Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes